Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockStateAwareResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockStateAwareResponse

All Implemented Interfaces:
  PortletResponse, StateAwareResponse

Direct Known Subclasses:
  MockActionResponse, MockEventResponse

    public class MockStateAwareResponse

extends MockPortletResponse
implements StateAwareResponse

Mock implementation of the `StateAwareResponse` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`MockStateAwareResponse()` Create a new MockActionResponse with a default `MockPortalContext`.
`MockStateAwareResponse(PortalContext portalContext)` Create a new MockActionResponse.

Method Summary
`Serializable` | `getEvent(QName name)`
`Serializable` | `getEvent(String name)`
`Iterator<QName>` | `getEventNames()`
`PortletMode` | `getPortletMode()`
`String` | `getRenderParameter(String key)`
`Map<String,String[]>` | `getRenderParameterMap()`
`Iterator<String>` | `getRenderParameterNames()`
`String[]` | `getRenderParameterValues(String key)`
`WindowState` | `getWindowState()`
`void` | `removePublicRenderParameter(String name)`
`void` | `setEvent(QName name, Serializable value)`
`void` | `setEvent(String name, Serializable value)`
`void` | `setPortletMode(PortletMode portletMode)`
`void` | `setRenderParameter(String key, String value)`
`void` | `setRenderParameter(String key, String[] values)`
`void` | `setRenderParameters(Map<String,String[]> parameters)`
`void` | `setWindowState(WindowState windowState)`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### MockStateAwareResponse

    public MockStateAwareResponse()

  Create a new MockActionResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockStateAwareResponse

    public MockStateAwareResponse(PortalContext portalContext)

  Create a new MockActionResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

Method Detail

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Specified by:
    `setWindowState` in interface `StateAwareResponse`
  Throws:
    `WindowStateException`

### getWindowState

    public WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `StateAwareResponse`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Specified by:
    `setPortletMode` in interface `StateAwareResponse`
  Throws:
    `PortletModeException`

### getPortletMode

    public PortletMode getPortletMode()

  Specified by:
    `getPortletMode` in interface `StateAwareResponse`

### setRenderParameters

    public void setRenderParameters(Map<String,String[]> parameters)

  Specified by:
    `setRenderParameters` in interface `StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(String key,
                                   String value)

  Specified by:
    `setRenderParameter` in interface `StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(String key,
                                   String[] values)

  Specified by:
    `setRenderParameter` in interface `StateAwareResponse`

### getRenderParameter

    public String getRenderParameter(String key)

### getRenderParameterValues

    public String[] getRenderParameterValues(String key)

### getRenderParameterNames

    public Iterator<String> getRenderParameterNames()

### getRenderParameterMap

    public Map<String,String[]> getRenderParameterMap()

  Specified by:
    `getRenderParameterMap` in interface `StateAwareResponse`

### removePublicRenderParameter

    public void removePublicRenderParameter(String name)

  Specified by:
    `removePublicRenderParameter` in interface `StateAwareResponse`

### setEvent

    public void setEvent(QName name,
                         Serializable value)

  Specified by:
    `setEvent` in interface `StateAwareResponse`

### setEvent

    public void setEvent(String name,
                         Serializable value)

  Specified by:
    `setEvent` in interface `StateAwareResponse`

### getEventNames

    public Iterator<QName> getEventNames()

### getEvent

    public Serializable getEvent(QName name)

### getEvent

    public Serializable getEvent(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD